VirtualBox Main API

Public Member Functions | List of all members
IExtPack Interface Reference

Interface for querying information about an extension pack as well as accessing COM objects within it. More...

Inheritance diagram for IExtPack:

## Public Member Functions
void | queryObject (in wstring objUuid, [retval] out $unknown returnInterface)
| Queries the IUnknown interface to an object in the extension pack main module.
Public Member Functions inherited from IExtPackBase
void | queryLicense (in wstring preferredLocale, in wstring preferredLanguage, in wstring format, [retval] out wstring licenseText)
| Full feature version of the license attribute.

## Additional Inherited Members
Public Attributes inherited from IExtPackBase
readonly attribute wstring | name
| The extension pack name.
readonly attribute wstring | description
| The extension pack description.
readonly attribute wstring | version
| The extension pack version string.
readonly attribute unsigned long | revision
| The extension pack internal revision number.
readonly attribute wstring | edition
| Edition indicator.
readonly attribute wstring | VRDEModule
| The name of the VRDE module if the extension pack sports one.
readonly attribute wstring | CryptoModule
| The name of the crypto module if the extension pack sports one.
readonly attribute IExtPackPlugIn[] | plugIns
| Plug-ins provided by this extension pack.
readonly attribute boolean | usable
| Indicates whether the extension pack is usable or not.
readonly attribute wstring | whyUnusable
| String indicating why the extension pack is not usable.
readonly attribute boolean | showLicense
| Whether to show the license before installation.
readonly attribute wstring | license
| The default HTML license text for the extension pack.

## Detailed Description

Interface for querying information about an extension pack as well as accessing COM objects within it.

Interface ID:
  `{431685DA-3618-4EBC-B038-833BA829B4B2}`

## Member Function Documentation

## ◆ queryObject()

void IExtPack::queryObject | ( | in wstring | objUuid,
|  | [retval] out $unknown | returnInterface
| ) |  |

Queries the IUnknown interface to an object in the extension pack main module.

This allows plug-ins and others to talk directly to an extension pack.

Parameters

  objUuid | The object ID. What exactly this is
  returnInterface | The queried interface.